<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">สรุปข้อเสนอเพื่อพิจารณา</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดสรุปข้อเสนอเพื่อพิจารณาเกี่ยวกับรายละเอียดผลิตภัณฑ์
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="validate === true || validate === null">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button type="button" class="btn btn-primary sandwork" (click)="sandwork()">
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<!-- ======================================================================================================================== -->

<div id="accordion">
  <div class="card">

    <!-- ----------------------------------------- validate  = true ------------------------------------------------------------ -->
    <div class="card-body" *ngIf="(validate === true || validate === null) && template_manage.pageShow !== 'executive'">
      <div class="checkbox-body">
        <p class="head-detal-checkbox">สรุปข้อเสนอเพื่อพิจารณา</p>
        <mat-radio-group aria-label="Select an option" [(ngModel)]="consideration" (ngModelChange)="changeSaveDraft()">
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="continue"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': consideration === 'continue','checkbox-detail-false': consideration !== 'continue'}"
              (click)="consideration = 'continue'; changeSaveDraft()">ดำเนินการต่อภายใต้เงื่อนไขเดิม</div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="improve"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': consideration === 'improve','checkbox-detail-false': consideration !== 'improve'}"
              (click)="consideration = 'improve'; changeSaveDraft()">ปรับปรุงผลิตภัณฑ์
            </div>
          </div>
          <div class="d-flex align-items-stretch radio-layout">
            <div class="bd-highlight checkbox-box">
              <mat-radio-button value="cancle"></mat-radio-button>
            </div>
            <div class="bd-highlight radio-detail"
              [ngClass]="{'checkbox-detail-true': consideration === 'cancle','checkbox-detail-false': consideration !== 'cancle'}"
              (click)="consideration = 'cancle'; changeSaveDraft()">ยกเลิกผลิตภัณฑ์</div>
          </div>

        </mat-radio-group>
      </div>
      <br>
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดหัวข้อที่ต้องการปรับปรุง</p>
        </div>
        <div class="flex-shrink-1 bd-highlight" style="margin-top: 19px;" *ngIf="consideration === 'improve'">
          <button type="button" class="btn add_table" (click)="addTable()"><img
              src="../../../../../assets/img/add_white.svg">
            <a>เพิ่มข้อมูล</a>
          </button>
        </div>
      </div>
      <div>
        <hr style="margin-top: 5px">
      </div>
      <!-- ================================================================= table ===================================================== -->
      <div class="body-detal" *ngIf="consideration === 'improve'">
        <table class="table-proccess">
          <thead>
            <tr>
              <th width="20%" style="text-align: center;">หัวข้อ</th>
              <th width="20%" style="text-align: center;">เดิม</th>
              <th width="20%" style="text-align: center;">ใหม่</th>
              <th width="30%" style="text-align: center;">เหตุผลที่ขอเปลี่ยนแปลง</th>
              <!-- <th width="10%"></th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepThirteenTable; index as istep">
              <td
                style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;vertical-align: top;"
                *ngIf="consideration === 'improve'">
                <!-- <input class="form-control" type="text" placeholder="ระบุหัวข้อ" [(ngModel)]="item.topic"
                    (ngModelChange)="changeSaveDraft()" /> -->
                <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                  placeholder="ระบุหัวข้อ" [(ngModel)]="item.topic" (ngModelChange)="changeSaveDraft()"></textarea>
              </td>
              <td
                style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;vertical-align: top;"
                *ngIf="consideration === 'improve'">
                <!-- <input class="form-control" type="text" placeholder="ระบุรายละเอียดเดิม" [(ngModel)]="item.oldDetail"
                    (ngModelChange)="changeSaveDraft()" /> -->
                <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                  placeholder="ระบุรายละเอียดเดิม" [(ngModel)]="item.oldDetail"
                  (ngModelChange)="changeSaveDraft()"></textarea>
              </td>
              <td
                style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;vertical-align: top;"
                *ngIf="consideration === 'improve'">
                <!-- <input class="form-control" type="text" placeholder="ระบุรายละเอียดใหม่" [(ngModel)]="item.newDetail"
                    (ngModelChange)="changeSaveDraft()" /> -->
                <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                  placeholder="ระบุรายละเอียดใหม่" [(ngModel)]="item.newDetail"
                  (ngModelChange)="changeSaveDraft()"></textarea>
              </td>
              <td
                style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;vertical-align: top;"
                *ngIf="consideration === 'improve'">
                <!-- <input class="form-control" type="text" placeholder="ระบุเหตุผลที่ขอเปลี่ยนแปลง"
                    [(ngModel)]="item.reason" (ngModelChange)="changeSaveDraft()" /> -->
                <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                  placeholder="ระบุเหตุผลที่ขอเปลี่ยนแปลง" [(ngModel)]="item.reason"
                  (ngModelChange)="changeSaveDraft()"></textarea>
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;"
                *ngIf="consideration !== 'improve'">
                {{item.topic}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;"
                *ngIf="consideration !== 'improve'">
                {{item.oldDetail}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;"
                *ngIf="consideration !== 'improve'">
                {{item.newDetail}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;"
                *ngIf="consideration !== 'improve'">
                {{item.reason}}
              </td>

            </tr>
          </tbody>
        </table>
        <div class="col-12 d-flex justify-content-end p-0 mt-3" *ngIf="consideration === 'improve'">
          <button type="button" class="btn add_table" (click)="addTable()"><img
              src="../../../../../assets/img/add_white.svg">
            <a>เพิ่มข้อมูล</a>
          </button>
        </div>
      </div>
      <!-- =============================================================== textarea ======================================================= -->
      <br>
      <div class="col-12">
        <div class="head-detal">ขอความเห็นชอบ</div>
        <textarea class="input-detail" rows="4" cols="50" placeholder="ระบุรายละเอียดขอความเห็นชอบ"
          [(ngModel)]="new_for_comment" (ngModelChange)="changeSaveDraft()"></textarea>
      </div>

      <br>
      <div class="col-12">
        <div class="head-detal">เพื่อทราบ</div>
        <textarea class="input-detail" rows="4" cols="50" placeholder="ระบุรายละเอียดเพื่อทราบ"
          [(ngModel)]="new_for_know" (ngModelChange)="changeSaveDraft()"></textarea>
      </div>
      <br><br>
    </div>
    <!-- ----------------------------------------- end validate  = true------------------------------------------------------------ -->

    <!-- ----------------------------------------- validate  = false ------------------------------------------------------------ -->
    <div class="card-body" *ngIf="validate === false">
      <div class="checkbox-body">
        <p class="head-detal-checkbox">สรุปข้อเสนอเพื่อพิจารณา</p>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <ul>
          <li class="ul_10" *ngIf="consideration === 'continue'">ดำเนินการต่อภายใต้เงื่อนไขเดิม</li>
          <li class="ul_10" *ngIf="consideration === 'improve'">ปรับปรุงผลิตภัณฑ์</li>
          <li class="ul_10" *ngIf="consideration === 'cancle'">ยกเลิกผลิตภัณฑ์</li>
        </ul>
      </div>
      <br>
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดหัวข้อที่ต้องการปรับปรุง</p>
        </div>
      </div>
      <div>
        <hr style="margin-top: 5px">
      </div>
      <!-- ================================================================= table ===================================================== -->
      <div class="body-detal">
        <table class="table-proccess">
          <thead>
            <tr>
              <th width="20%">หัวข้อ</th>
              <th width="20%">เดิม</th>
              <th width="20%">ใหม่</th>
              <th width="30%">เหตุผลที่ขอเปลี่ยนแปลง</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepThirteenTable; index as istep">
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;">
                {{item.topic}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;">
                {{item.oldDetail}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;">
                {{item.newDetail}}
              </td>
              <td style="padding-left: 6px;padding-right: 6px;word-wrap: break-word;max-width: 200px;">
                {{item.reason}}
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      <!-- =============================================================== textarea ======================================================= -->
      <br>
      <div class="col-12">
        <div class="head-detal">ขอความเห็นชอบ</div>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div class="row">
          <div class="col-12">
            {{new_for_comment}}
          </div>
        </div>
      </div>

      <br>
      <div class="col-12">
        <div class="head-detal">เพื่อทราบ</div>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div class="row">
          <div class="col-12">
            {{new_for_know}}
          </div>
        </div>
      </div>
      <br><br>
    </div>
    <!-- ----------------------------------------- end validate  = false ------------------------------------------------------------ -->
    <!-- </div> -->
  </div>


  <!-- ============================================================================================================================= -->
  <div class="row" *ngIf="validate === true || validate === null"
    [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
    </div>
    <br> <br>
  </div>
</div>
<div class="row" *ngIf="validate === false"
  [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>